## org.gnu.gtk
Interface TreeSelectionForEach

public interface TreeSelectionForEach

This interface is used in combination with some methods of this class to iterate over a number of items in the selection.

See Also:
  `TreeSelection.forEachSelected(TreeSelectionForEach)`

Method Summary
`void` `forEach(TreeModel model, TreePath path, TreeIter iter)` This is called for each of the items.

Method Detail

### forEach

    public void forEach(TreeModel model,
                        TreePath path,
                        TreeIter iter)

  This is called for each of the items.

  Parameters:
    `model` - The TreeModel being viewed
    `path` - The TreePath of a selected row
    `iter` - A TreeIter pointing to a selected row